Summary: root dot files
Name: rootfiles
Version: 1.5
Release: 3
Copyright: public domain
Group: Base
Source: rootfiles.tar.gz
BuildRoot: /tmp/rootfiles
BuildArchitectures: noarch

%changelog

* Tue Sep 09 1997 Erik Troan <ewt@redhat.com>

- made a noarch package

* Thu Mar 20 1997 Erik Troan <ewt@redhat.com>

Removed .Xclients and .Xsession from package, added %pre to back up old
.Xclients if necessary.

%description
This package contains all the startup files for the root user.
These are basically the same files that are in the etcskel package.

%prep
%setup -n rootfiles

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/root
tar -cvSpf- . | (cd $RPM_BUILD_ROOT/root ; tar -xSpf-)

%pre
# we used to put .Xclients in this package -- back it up if it's been
# customized
cd /root
if [ -f .Xclients -a -x /bin/awk ]; then
    m=`md5sum .Xclients | awk '{ print $1 }'`
    if [ $m != "506b9496f2853fc9fee6c6b1c5f3ee48" ]; then
	mv .Xclients .Xclients.rpmsave
    fi
fi

%files
%config /root
